| Home | Libraries | People | FAQ | More

# boost::asio::basic_socket_iostream< Protocol, Service > Class Template Reference

List of all members.

## Detailed Description

### template<typename Protocol, typename Service = stream_socket_service<Protocol>>
class boost::asio::basic_socket_iostream< Protocol, Service >

Iostream interface for a socket.

## Public Member Functions

| basic_socket_iostream ()
| Construct a basic_socket_iostream without establishing a connection.
template<typename T1, ... , typename TN>
| basic_socket_iostream (T1 t1,..., TN tn)
| Establish a connection to an endpoint corresponding to a resolver query.
template<typename T1, ... , typename TN>
void | connect (T1 t1,..., TN tn)
| Establish a connection to an endpoint corresponding to a resolver query.
void | close ()
| Close the connection.
basic_socketbuf< Protocol, Service > * | rdbuf () const
| Return a pointer to the underlying streambuf.

## Constructor & Destructor Documentation

template<typename Protocol, typename Service = stream_socket_service<Protocol>>

boost::asio::basic_socket_iostream< Protocol, Service >::basic_socket_iostream | ( |  | ) |

Construct a basic_socket_iostream without establishing a connection.

template<typename Protocol, typename Service = stream_socket_service<Protocol>>
template<typename T1, ... , typename TN>

boost::asio::basic_socket_iostream< Protocol, Service >::basic_socket_iostream | ( | T1 | t1,
|  |  | ...,
|  | TN | tn |
| ) |  |  | `[explicit]`

Establish a connection to an endpoint corresponding to a resolver query.

This constructor automatically establishes a connection based on the supplied resolver query parameters. The arguments are used to construct a resolver query object.

## Member Function Documentation

template<typename Protocol, typename Service = stream_socket_service<Protocol>>
template<typename T1, ... , typename TN>

void boost::asio::basic_socket_iostream< Protocol, Service >::connect | ( | T1 | t1,
|  |  | ...,
|  | TN | tn |
| ) |  |  |

Establish a connection to an endpoint corresponding to a resolver query.

This function automatically establishes a connection based on the supplied resolver query parameters. The arguments are used to construct a resolver query object.

template<typename Protocol, typename Service = stream_socket_service<Protocol>>

void boost::asio::basic_socket_iostream< Protocol, Service >::close | ( |  | ) |

Close the connection.

template<typename Protocol, typename Service = stream_socket_service<Protocol>>

basic_socketbuf<Protocol, Service>* boost::asio::basic_socket_iostream< Protocol, Service >::rdbuf | ( |  | ) | const

Return a pointer to the underlying streambuf.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff